#include <bits/stdc++.h>
using namespace std;

int n, v, a[10000];

int NajdaljiStalaktit() {
    int br = 1;
    for (int i = 0; i < n; i++) {
        if (v < a[i]) {
            if (i == n - 1) {
                br = -1;
                break;
            }
            br++;
            continue;
        }
        else {
            break;
        }
    }
    return br;
}

int main() {

    cin >> n >> v;

    for (int i = 0; i < n; i++) cin >> a[i];

    cout << NajdaljiStalaktit() << endl;

    return 0;
}